### Function

# GLib printf

since: 2.2

#### Declaration

    gint
    g_printf (
      const gchar* format,
      ...
    )

#### Description

An implementation of the standard `printf()` function which supports positional parameters, as specified in the Single Unix Specification.

As with the standard `printf()`, this does not automatically append a trailing new-line character to the message, so typically `format` should end with its own new-line character.

`glib/gprintf.h` must be explicitly included in order to use this function.

Available since: 2.2

This function is not directly available to language bindings.

#### Parameters

`format`

  Type: `const gchar*`

  A standard `printf()` format string, but notice string precision pitfalls.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The arguments to insert in the output.

#### Return value

Type: `gint`

The number of bytes printed.